Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2104595 - openssh: the "ssh_keys" group should have a static GID
Summary: openssh: the "ssh_keys" group should have a static GID
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: 36
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dmitry Belyavskiy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-06 16:33 UTC by Luca BRUNO
Modified: 2022-08-08 09:25 UTC (History)
8 users (show)

Fixed In Version: openssh-8.8p1-3.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-08 09:25:16 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-496 0 None None None 2022-07-06 16:43:25 UTC

Description Luca BRUNO 2022-07-06 16:33:12 UTC
The "openssh" package is currently shipping a binary at "/usr/libexec/openssh/ssh-keysign" which is owned by the "ssh_keys" group:
```
$ stat /usr/libexec/openssh/ssh-keysign
  File: /usr/libexec/openssh/ssh-keysign
  Size: 334248          Blocks: 656        IO Block: 4096   regular file
Access: (2555/-r-xr-sr-x)  Uid: (    0/    root)   Gid: (  999/ssh_keys)
```

However the specfile does create the "ssh_keys" group with a dynamic group ID at install time:
```
%pre
getent group ssh_keys >/dev/null || groupadd -r ssh_keys || :
```

This means that across different installs/composes the numeric GID of the file may vary arbitrarily (in the example above it got "999").

This poses a problem from the point of view of OS content reproducibility.
It also causes issues to systems doing out-of-band composes (e.g. ostree or other image-based technologies).

For these reasons, it would be better to get a static GID allocated for the "ssh_keys" group in Fedora.

Comment 1 Luca BRUNO 2022-07-11 08:34:38 UTC
As I didn't hear any positive/negative feedback here, I went ahead and formally brought this to the attention of FPC with a static GID request as described in https://docs.fedoraproject.org/en-US/packaging-guidelines/UsersAndGroups/#_soft_static_allocation.

The static GID request ticket for the "ssh_keys" group is at https://pagure.io/packaging-committee/issue/1188.

Comment 2 Dmitry Belyavskiy 2022-07-14 08:53:55 UTC
What should be done from my side? I agree it's a good idea.

Comment 3 Luca BRUNO 2022-07-14 12:05:59 UTC
Nothing for the moment. Once the GID allocation is confirmed and the exact number confirmed, the specfile will need to be updated to start using that in the `groupadd` call.

Comment 4 Fedora Update System 2022-08-08 09:21:34 UTC
FEDORA-2022-c2a1a8c16b has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c2a1a8c16b

Comment 5 Fedora Update System 2022-08-08 09:25:16 UTC
FEDORA-2022-c2a1a8c16b has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.